## torque 2.4.8%2Bdfsg

=== debian/changelog ===
torque (2.4.8+dfsg-9~bpo50+1) lenny-backports; urgency=low

  * Upload to backports.debian.org

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 18 Nov 2010 13:19:17 +0000

torque (2.4.8+dfsg-9) unstable; urgency=low

  * Added binary dependency libkvm-dev to libtorque2-dev
    This is fixing a OpenMPI FTBFS (Closes: #595231)
  * Fixed bugnumber in debian/changelog

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 02 Sep 2010 14:27:25 -0400

torque (2.4.8+dfsg-8) unstable; urgency=low

  [ Jordi Mallach ]
  * Remove unneeded .la file from torque-pam.

  [ Dominique Belhachemi ]
  * Fix PID filename in /etc/init.d/torque-scheduler
  * Fix tclIndex generation (Closes: #587262)
  * Move /etc/torque/server_name to package torque-common
  * torque-server and torque-mom recommends:
  *    torque-client | torque-client-x11 (Closes: #587259)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 01 Jul 2010 01:08:41 -0400

torque (2.4.8+dfsg-7) unstable; urgency=low

  * Fix paths on "non-standard-dir-perm" overrides.
  * Make torque-server Conflict: torque-client (<= 2.4), and
    torque-client-x11 Replace: torque-gui, for smoother upgrade path
    from the Ubuntu packages.
  * Explicitly enable RPP.
  * Pass --with-rcp=scp so Torque uses scp as remote copy command.
  * Build-Depend on openssh-client.
  * Add gnu_fixes.patch, disabled for now, to fix builds on the Hurd.
    This patch is a temporary hack. As it is now, the package will build,
    but will most probably not work. The correct fix is to disable quota
    support on this platform.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Jun 2010 10:25:46 +0200

torque (2.4.8+dfsg-6) unstable; urgency=low

  [ Dominique Belhachemi ]
  * fixed manpage generation for GNU/kFreeBSD
  * debian/compat: bump to 7
  * removed packages: libtorque2-doc and torque-doc
  * added symbolic link /var/spool/torque/server_name ->
                        /etc/torque/server_name
  * package torque-common moved to arch-dependent

  [ Jordi Mallach ]
  * Add myself to Uploaders.
  * Minor fixes to package descriptions.
  * Correct uses of $DAEMON_SERVER in init scripts where $NAME should
    have been used instead.
  * Generate $VERSION (now $UVERSION) using dpkg-parsechangelog.
  * Remove linda overrides; linda is no longer in Debian or Ubuntu.
  * Pass --with-sendmail=/usr/sbin/sendmail to configure to get pbs_server
    actually send emails (closes: LP: #474727)
  * Use dh_autotools-dev_updateconfig & dh_autotools-dev-restoreconfig from
    autotools-dev in the build process to update config.{guess,sub}.
  * Bump autotools-dev requirement to >= 20100122.1~ to ensure the
    availability of the Debhelper programs.
  * Split patches and add DEP-3 headers to all of them:
    - Create freebsd5_manpages.patch, gnu-kfreebsd_mach_type.patch and
      spec_fhs_paths.patch.
    - Drop static config.{guess,sub} updating; this is now handled by
      dh_autotools-dev_updateconfig.
  * Add manpage_fixes.patch to fix several spelling errors and
    minus-sign-vs-hyphen issues.
  * Drop README.source and don't Build-Depend on quilt, as they are not
    necessary anymore with source format 3.0 (quilt).
  * Wrap Build-Depends.
  * Add lintian overrides for "non-standard-dir-perm", "file-in-unusual-dir"
    and "setuid-binary".
  * Add a call to dh_lintian.
  * Fix signatures in old, unreleased debian/changelog entries.

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 10 Jun 2010 19:40:26 +0200

torque (2.4.8+dfsg-5) unstable; urgency=low

  * install man pages together with their associated binaries (Closes: #581576)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 17 May 2010 20:56:46 +0200

torque (2.4.8+dfsg-4) unstable; urgency=low

  * fixed compiler warning to support GNU/kFreeBSD
  * use linux resmom for GNU/Hurd
  * provide momctl in torque-client and torque-client-x11 (Closes: #581550)
  * added conflicts to qterm and gridengine-client (Closes: #581576)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 13 May 2010 19:29:06 +0200

torque (2.4.8+dfsg-3) unstable; urgency=low

  * buildutils/config.guess:
  * buildutils/config.sub: Replace with current version from package
    autotools-dev.  Closes: #581032.
  * debian/control: added dependencies for GNU/kFreeBSD

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 10 May 2010 18:12:20 +0200

torque (2.4.8+dfsg-2) unstable; urgency=low

  * torque-common: added missing directory

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 10 May 2010 07:24:38 +0200

torque (2.4.8+dfsg-1) unstable; urgency=low

  * New upstream release
  * removed conflicting files

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 09 May 2010 23:01:13 +0200

torque (2.4.7-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * bump standard version
  * Cleaned chrpath lintian error [debian/rules] (Steffen)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 02 May 2010 00:40:34 +0200

torque (2.4.0b1-2) UNRELEASED; urgency=low

  * Started merge of Debian and Ubuntu packages
    - Updated description of packages
    - torque-pam package
    - torque-scheduler package (== preparation for MAUI)
    - split sched and server init scripts

 -- Steffen Moeller <moeller@debian.org>  Wed, 31 Dec 2008 16:27:36 +0100

torque (2.4.0b1-1) UNRELEASED; urgency=low

  * New upstream version.

 -- Michael Dorr <mdweb@web.de>  Mon, 22 Dec 2008 12:21:32 +0100

torque (2.3.0-1) UNRELEASED; urgency=low

  [ Daniel Bayer ]
  * New upstream release
  * moved to tcl8.5 and tk8.5
  * include pbstop in the client packages
  * changed the name of library package 
  * adjust from /usr/local to /usr (quilted by Steffen)

  [ Steffen Moeller]
  * supporting quilt for patches
  * debian/control: Added Vcs-Browser and Vcs-Svn entries 

 -- Daniel Bayer <bayer@inb.uni-luebeck.de>  Thu, 03 Apr 2008 14:36:42 +0200

torque (2.1.10-1) UNRELEASED; urgency=low

  * New upstream release


## torque 2.4.16+dfsg

=== Makefile ===
#
# Makefile used to install/update PBSWeb-Lite
#

## The "document root" of the PBSWeb-Lite installation,
## all PHP scripts will be installed into this directory.
INSTALLDIR = /var/www/pbs

## username that runs apache server.
HTTPUSER = www-data

## You don't have to change anything after this line.
CC = gcc
CFLAGS = -O2 -s
LFLAGS = -lcrypt

all: spasswd

spasswd: spasswd.c
	gcc $(CFLAGS) -o spasswd $(LFLAGS) spasswd.c

install: all
	if [ ! -d $(INSTALLDIR) ]; then mkdir -p $(INSTALLDIR); fi
	cp -r * $(INSTALLDIR)/
	chown -R $(HTTPUSER).$(HTTPUSER) $(INSTALLDIR)
	find $(INSTALLDIR) -type f | xargs chmod 644
	find $(INSTALLDIR) -type d | xargs chmod 755
	install -m 755 spasswd /usr/sbin/spasswd
	chown root.root /usr/sbin/spasswd
	chmod u+s /usr/sbin/spasswd

clean:
	rm -f *~ spasswd


#
# $Id: Makefile,v 1.8 2004/03/19 03:42:21 platin Exp $
#

=== contrib/pestat-1.0/Makefile ===

# Configure PBSHOME so that it points to your PBS source directory
PBSHOME = $$HOME/src/PBS/OpenPBS/OpenPBS_2_3_2/src

# Linux (with OpenPBS RPM installed)
CFLAGS = -g -I$(PBSHOME)/include
LDFLAGS = -g
LIBS = -L/usr/pbs/lib -lnet -lpbs -lcmds 

# Compaq Tru64 UNIX 4.0F
# CFLAGS = -g -DTRU64 -I/usr/local/include -I$(PBSHOME)/include
# LDFLAGS = -g -L/usr/local/lib
# LIBS = /usr/local/lib/libnet.a -lpbs -lcmds 

pestat: pestat.o
	$(CC) -o $@ pestat.o $(LDFLAGS) $(LIBS)

clean:
	rm -f pestat *.o core

## torque 2.4.8+dfsg

=== debian/changelog ===
torque (2.4.8+dfsg-9squeeze4) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-0749.patch patch.
    CVE-2014-0749: Fix stack-based buffer overflow vulnerability which can
    be exploited in order to remotely execute code from an unauthenticated
    perspective. (Closes: #748827)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 21 May 2014 17:48:07 +0200

torque (2.4.8+dfsg-9squeeze3) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4495.patch patch.
    CVE-2013-4495: the pbs_server daemon would pass some user-input data to
    popen() in order to send an email allowing remote privilege escalation.
    (Closes: #729333)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 11 Nov 2013 23:52:34 +0100

torque (2.4.8+dfsg-9squeeze2) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4319.patch.
    CVE-2013-4319: remote arbitrary command execution as root on cluster
    by a non-priviledged user who is able to run jobs or login to a node
    which runs pbs_server or pbs_mon. (Closes: #722306)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 08 Oct 2013 22:46:53 +0200

torque (2.4.8+dfsg-9squeeze1) stable-security; urgency=low

  * [CVE_2011_2193]: Fix two potential buffer overflows:
    jobid length and hostname length weren't properly checked,
    and these both allow segfaults/buffer overflow attacks within
    the code.
  * Steal an additional potential buffer overflow fix from upstream SVN:
    - src/resmom/checkpoint.c (mom_checkpoint_recover): Use strncpy and
      strncat instead of strcpy and strcat.
  * Update Vcs-* fields to point to the new squeeze branch.

 -- Jordi Mallach <jordi@debian.org>  Fri, 29 Jul 2011 18:37:00 +0200

=== debian/control ===
Source: torque
Section: net
Priority: optional
Maintainer: Morten Kjeldgaard <mok@bioxray.au.dk>
Uploaders: Dominique Belhachemi <domibel@debian.org>,
           Jordi Mallach <jordi@debian.org>,
           Steffen Moeller <moeller@debian.org>
Build-Depends: autotools-dev (>= 20100122.1~),
               chrpath,
               debhelper (>= 7),
               libpam0g-dev,
               libkvm-dev [kfreebsd-any],
               openssh-client,
               tcl8.5-dev,
               tk8.5-dev
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
XS-Autobuild: yes
Vcs-Browser: http://svn.debian.org/wsvn/pkg-escience/torque/branches/squeeze/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/torque/branches/squeeze
Homepage: http://www.clusterresources.com/pages/products/torque/

Package: torque-common
Section: utils
Architecture: any
Depends: ${misc:Depends}
Recommends: torque-client | torque-server | torque-mom, openssh-client
Description: Torque Queueing System shared files
 TORQUE (Tera-scale Open-source Resource and QUEue manager) is a resource
 manager providing control over batch jobs and distributed compute
 nodes. Torque is based on OpenPBS version 2.3.12 and incorporates
 scalability, fault tolerance, and feature extension patches provided by
 USC, NCSA, OSC, the U.S. Dept of Energy, Sandia, PNNL, U of Buffalo,
 TeraGrid, and many other leading edge HPC organizations.
 .
 This package contains a series of files and directories that are shared
 between client, server and mom, that can only be installed once.

Package: torque-server
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-3), torque-common
Recommends: torque-scheduler, torque-client | torque-client-x11
Suggests: torque-mom
Conflicts: torque-client (<= 2.4)
Description: PBS-derived batch processing server
 The TORQUE server dispatches jobs across physically separated
 machines. It may also be beneficial for single machines to organise
 the sequential execution of multiple jobs.
 .
 Torque stands for "Tera-scale Open-source Resource and QUEue manager".
 It is based on OpenPBS version 2.3.12 and incorporates scalability,
 fault tolerance, and feature extension patches provided by USC, NCSA,
 OSC, the U.S. Dept of Energy, Sandia, PNNL, U of Buffalo, TeraGrid,
 and many other leading edge HPC organizations.

Package: torque-pam
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, torque-common
Recommends: torque-client | torque-client-x11
Description: PAM module for PBS MOM nodes
 The TORQUE server dispatches jobs across physically separated
 machines. It may also be beneficial for single machines to organise
 the sequential execution of multiple jobs.
 .
 A simple PAM module to authorize users on PBS MOM nodes with a running
 job.

Package: torque-scheduler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, torque-common
Description: scheduler part of Torque
 The TORQUE server dispatches jobs across physically separated
 machines. It may also be beneficial for single machines to organise
 the sequential execution of multiple jobs.
 .
 This package contains the fifo C scheduler.

Package: torque-client
Section: utils
Architecture: any
Conflicts: qterm, gridengine-client
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, libcurses-perl, gawk, torque-common
Description: command line interface to Torque server
 The TORQUE server dispatches jobs across physically separated
 machines. It may also be beneficial for single machines to organise
 the sequential execution of multiple jobs.
 .
 This package contains the command-line client programs. These should
 be installed on all hosts that should be able to submit jobs,
 query for their status or cancel their execution. The client
 contacts the server directly.

Package: torque-mom
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-3), torque-common
Description: job execution engine for Torque batch system
 The TORQUE server dispatches jobs across physically separated
 machines. It may also be beneficial for single machines to organise
 the sequential execution of multiple jobs.
 .
 The pbs_mom daemon is executed on those machines that perform
 the computations. This package should be installed on all these
 execute hosts. The mom, the client and the server can all be
 installed on the same machine.

Package: torque-client-x11
Provides: torque-client
Conflicts: torque-client, qterm, gridengine-client
Replaces: torque-gui
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libcurses-perl, gawk, torque-common
Description: GUI for torque clients
 The TORQUE server dispatches jobs across physically separated
 machines. It may also be beneficial for single machines to organise
 the sequential execution of multiple jobs.
 .
 These clients feature the same functionality as their regular
 counterparts and also allow for a graphical interaction.

Package: libtorque2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for Torque client and server
 The TORQUE server dispatches jobs across physically separated
 machines. It may also be beneficial for single machines to organise
 the sequential execution of multiple jobs.
 .
 Clients, mom and server all share a certain set of shared libraries 
 that are combined in this library.

Package: libtorque2-dev
Section: libdevel
Provides: libtorque-dev
Conflicts: libtorque-dev
Architecture: any
Depends: libtorque2 (= ${binary:Version}), libkvm-dev [kfreebsd-any], ${shlibs:Depends}, ${misc:Depends}
Description: header files for libtorque2
 The TORQUE server dispatches jobs across physically separated
 machines. It may also be beneficial for single machines to organise
 the sequential execution of multiple jobs.
 .
 This package includes the header files and static libraries necessary for
 developing programs which will use torque.

=== debian/rules ===
#!/usr/bin/make -f
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

PAM_DIR=/lib/security

OPTIONS = CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" \
	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--disable-static \
	--enable-syslog \
	--enable-rpp --with-rcp=scp \
	--with-default-server=torqueserver \
	--with-pam=$(PAM_DIR) \
	--with-sendmail=/usr/sbin/sendmail \
	--with-server-name-file=/etc/torque/server_name 


configure: configure-stamp
configure-stamp:
	dh_testdir
	if [ -x /usr/bin/dh_autotools-dev_updateconfig ]; then \
	  dh_autotools-dev_updateconfig; \
	fi
	ln -sf $(CURDIR) /tmp/torque-src
	mkdir -p debian/build/with-x
	mkdir -p debian/build/without-x
	cd debian/build/with-x && /tmp/torque-src/configure $(OPTIONS) \
		--srcdir /tmp/torque-src \
		--with-tcl=/usr/lib/tcl8.5 --with-tk=/usr/lib/tk8.5 \
		--disable-server --disable-mom
	cd debian/build/without-x && /tmp/torque-src/configure $(OPTIONS) \
		--srcdir /tmp/torque-src \
		--without-tcl --without-tclx --without-tk
	touch $@

#Architecture 
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure
	$(MAKE) -C debian/build/with-x
	$(MAKE) -C debian/build/without-x
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	rm -rf debian/build
	dh_clean
	if [ -x /usr/bin/dh_autotools-dev_restoreconfig ]; then \
	  dh_autotools-dev_restoreconfig; \
	fi
	rm -f torque-2.4.8+dfsg


install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(CURDIR)/debian/torque-common/var/spool/torque/
	ln -s /etc/torque/server_name $(CURDIR)/debian/torque-common/var/spool/torque/server_name

	$(MAKE) -C debian/build/without-x install_lib DESTDIR=$(CURDIR)/debian/libtorque2
	-mv $(CURDIR)/debian/libtorque2/$(PAM_DIR)/pam_pbssimpleauth.so $(CURDIR)/debian/torque-pam/$(PAM_DIR)/pam_pbssimpleauth.so
	rm -f $(CURDIR)/debian/libtorque2/usr/lib/libtorque.a
	rm -f $(CURDIR)/debian/libtorque2/usr/lib/libtorque.la
	rm -f $(CURDIR)/debian/libtorque2/usr/lib/libtorque.so

	$(MAKE) -C debian/build/without-x install_devel DESTDIR=$(CURDIR)/debian/libtorque2-dev
	rm -f $(CURDIR)/debian/libtorque2-dev/usr/lib/libtorque.so.*

	$(MAKE) -C debian/build/without-x install_server DESTDIR=$(CURDIR)/debian/torque-server
	chrpath --delete $(CURDIR)/debian/torque-server/usr/sbin/pbs_server
	
	[ -d $(CURDIR)/debian/torque-scheduler/var/spool/torque/sched_priv ] && \
		rm -r $(CURDIR)/debian/torque-scheduler/var/spool/torque/sched_priv
	mv $(CURDIR)/debian/torque-server/usr/sbin/qschedd $(CURDIR)/debian/torque-server/usr/sbin/pbs_sched \
	   $(CURDIR)/debian/torque-scheduler/usr/sbin/
	chrpath --delete $(CURDIR)/debian/torque-scheduler/usr/sbin/pbs_sched \
			 $(CURDIR)/debian/torque-scheduler/usr/sbin/qschedd

	mv $(CURDIR)/debian/torque-server/var/spool/torque/sched_priv \
	   $(CURDIR)/debian/torque-scheduler/var/spool/torque/
	# redundant with server package -> mv to -common 
	if [ -r $(CURDIR)/debian/torque-server/var/spool/torque/pbs_environment ]; then \
		mv $(CURDIR)/debian/torque-server/var/spool/torque/pbs_environment \
		      $(CURDIR)/debian/torque-common/var/spool/torque/pbs_environment; \
	fi
	echo "Removing the directory /usr/lib from server package, which contains the following files: "
	-find $(CURDIR)/debian/torque-server/usr/lib
	rm -rf $(CURDIR)/debian/torque-server/usr/lib

	$(MAKE) -C debian/build/without-x install_pam DESTDIR=$(CURDIR)/debian/torque-pam
	rm -rf $(CURDIR)/debian/torque-pam/$(PAM_DIR)/*.la

	$(MAKE) -C debian/build/without-x install_clients DESTDIR=$(CURDIR)/debian/torque-client
	rm -rf $(CURDIR)/debian/torque-client/usr/lib
	chrpath --delete `ls $(CURDIR)/debian/torque-client/usr/bin/* | egrep -v '/(nqs2pbs|xpbs)' `
	chrpath --delete $(CURDIR)/debian/torque-client/usr/sbin/pbs_iff
	cp $(CURDIR)/contrib/pbstop $(CURDIR)/debian/torque-client/usr/bin
	chmod 755 $(CURDIR)/debian/torque-client/usr/bin/pbstop
	chrpath --delete $(CURDIR)/debian/torque-client/usr/sbin/momctl
	rm -f $(CURDIR)/debian/torque-client/var/spool/torque/server_name

	$(MAKE) -C debian/build/with-x install_clients DESTDIR=$(CURDIR)/debian/torque-client-x11
	$(MAKE) -C debian/build/with-x install_gui DESTDIR=$(CURDIR)/debian/torque-client-x11
	rm -rf $(CURDIR)/debian/torque-client-x11/usr/lib/libtorque.*
	rm -f $(CURDIR)/debian/torque-client-x11/var/spool/torque/server_name
	chrpath --delete `ls $(CURDIR)/debian/torque-client-x11/usr/bin/* | egrep -v '/(nqs2pbs|xpbs)'`
	chrpath --delete $(CURDIR)/debian/torque-client-x11/usr/lib/xpbs/bin/xpbs_datadump
	chrpath --delete $(CURDIR)/debian/torque-client-x11/usr/lib/xpbs/bin/xpbs_scriptload
	chrpath --delete $(CURDIR)/debian/torque-client-x11/usr/sbin/momctl
	chrpath --delete $(CURDIR)/debian/torque-client-x11/usr/sbin/pbs_iff
	cp $(CURDIR)/contrib/pbstop $(CURDIR)/debian/torque-client-x11/usr/bin
	chmod 755 $(CURDIR)/debian/torque-client/usr/bin/pbstop

	$(MAKE) -C debian/build/without-x install_mom DESTDIR=$(CURDIR)/debian/torque-mom
	rm -rf $(CURDIR)/debian/torque-mom/usr/lib $(CURDIR)/debian/torque-mom/var/spool/torque/server_name $(CURDIR)/debian/torque-mom/etc/torque/server_name
	rm -f $(CURDIR)/debian/torque-mom/usr/sbin/momctl
	chrpath --delete $(CURDIR)/debian/torque-mom/usr/sbin/pbs_demux
	chrpath --delete $(CURDIR)/debian/torque-mom/usr/sbin/pbs_mom

	# redundant with server package -> mv to -common 
	if [ -r $(CURDIR)/debian/torque-mom/var/spool/torque/pbs_environment ]; then \
		mv $(CURDIR)/debian/torque-mom/var/spool/torque/pbs_environment \
		      $(CURDIR)/debian/torque-common/var/spool/torque/pbs_environment; \
	fi

	if [ ! -r $(CURDIR)/debian/torque-common/var/spool/torque/pbs_environment ]; then \
	        touch $(CURDIR)/debian/torque-common/var/spool/torque/pbs_environment; \
	fi

        #  mv /etc/torque/server_name to torque-common
	if [ -r $(CURDIR)/debian/torque-client-x11/etc/torque/server_name ]; then \
                mkdir -p $(CURDIR)/debian/torque-common/etc/torque/; \
                mv $(CURDIR)/debian/torque-client-x11/etc/torque/server_name \
                      $(CURDIR)/debian/torque-common/etc/torque/server_name; \
                rm -rf $(CURDIR)/debian/torque-client-x11/etc/; \
	fi
	if [ -r $(CURDIR)/debian/torque-client/etc/torque/server_name ]; then \
                rm -f $(CURDIR)/debian/torque-client/etc/torque/server_name; \
                rm -rf $(CURDIR)/debian/torque-client/etc/; \
	fi


	$(MAKE) -C debian/build/without-x install_doc DESTDIR=$(CURDIR)/debian/tmp

	dh_install


binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_lintian
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms -X pbs_iff -X /var/spool/torque/spool -X /var/spool/torque/undelivered
	dh_makeshlibs -p libtorque2 -V
	dh_installdeb
	dh_perl
	dh_shlibdeps -l$(CURDIR)/debian/libtorque2/usr/lib/ -L libtorque2

## torque 2.4.12+dfsg

=== debian/changelog ===
torque (2.4.12+dfsg-3) unstable; urgency=low

  * Upload to unstable
  * Added tcl85.patch: Fix xpbsmon issue (Closes: #626480)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 12 May 2011 23:55:29 -0400

torque (2.4.12+dfsg-2) experimental; urgency=low

  * enable gnu_fixes.patch to fix build problems on GNU/Hurd (Closes: #622157)

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 08 May 2011 16:01:12 -0400

torque (2.4.12+dfsg-1) experimental; urgency=low

  * Now upstream release
  * Bump Standards-Version: 3.9.1
  * removed patches because applied upstream
  *  gnu-kfreebsd_mach_type.patch
  *  manpage_fixes.patch
  *  spec_fhs_paths.patch
  * Upload to experimental

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 06 May 2011 22:35:44 -0400

torque (2.4.8+dfsg-10) unstable; urgency=low

  * debian/control: added build dependency libreadline-dev
  * debian/rules: added configure option --disable-gcc-warnings (Closes: #625408)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 05 May 2011 19:05:08 -0400

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,8 @@
 	--with-default-server=torqueserver \
 	--with-pam=$(PAM_DIR) \
 	--with-sendmail=/usr/sbin/sendmail \
-	--with-server-name-file=/etc/torque/server_name 
+	--with-server-name-file=/etc/torque/server_name \
+        --disable-gcc-warnings
 
 
 configure: configure-stamp
@@ -78,7 +79,7 @@
 	if [ -x /usr/bin/dh_autotools-dev_restoreconfig ]; then \
 	  dh_autotools-dev_restoreconfig; \
 	fi
-	rm -f torque-2.4.8+dfsg
+	rm -f torque-2.4.12
 
 
 install: build
@@ -199,4 +200,3 @@
 	dh_makeshlibs -p libtorque2 -V
 	dh_installdeb
 	dh_perl
-	dh_shlibdeps -l$(CURDIR)/debian/libtorque2/usr/lib/ -L libtorque2

## torque 2.4.15+dfsg

=== debian/changelog ===
torque (2.4.15+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 25 Jul 2011 19:35:45 -0400

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 	if [ -x /usr/bin/dh_autotools-dev_restoreconfig ]; then \
 	  dh_autotools-dev_restoreconfig; \
 	fi
-	rm -f torque-2.4.12
+	rm -f torque-2.4.15
 
 
 install: build

## torque 2.4.16+dfsg

=== debian/changelog ===
torque (2.4.16+dfsg-1ubuntu1) raring; urgency=low

  * Specified multiarch Tcl and Tk locations during configure,
    fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 10 Apr 2013 17:36:58 -0400

torque (2.4.16+dfsg-1build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:28:30 -0700

torque (2.4.16+dfsg-1) unstable; urgency=low

  * New upstream release
  * This version of TORQUE fixes a problem with MOM's seg-faulting.

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 01 Aug 2011 20:05:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: torque
 Section: net
 Priority: optional
-Maintainer: Morten Kjeldgaard <mok@bioxray.au.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Morten Kjeldgaard <mok@bioxray.au.dk>
 Uploaders: Dominique Belhachemi <domibel@debian.org>,
            Jordi Mallach <jordi@debian.org>,
            Steffen Moeller <moeller@debian.org>
@@ -12,12 +13,14 @@
                libkvm-dev [kfreebsd-any],
                openssh-client,
                tcl8.5-dev,
-               tk8.5-dev
-Standards-Version: 3.8.4
+               tk8.5-dev,
+               libreadline-dev,
+               dpkg-dev (>= 1.16.0)
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 XS-Autobuild: yes
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-escience/torque/branches/squeeze/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/torque/branches/squeeze
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-escience/torque/trunk/?rev=0&sc=0
+Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/torque/trunk/
 Homepage: http://www.clusterresources.com/pages/products/torque/
 
 Package: torque-common

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CFLAGS += -Wall
 
@@ -54,7 +55,7 @@
 	mkdir -p debian/build/without-x
 	cd debian/build/with-x && /tmp/torque-src/configure $(OPTIONS) \
 		--srcdir /tmp/torque-src \
-		--with-tcl=/usr/lib/tcl8.5 --with-tk=/usr/lib/tk8.5 \
+		--with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.5 --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk8.5 \
 		--disable-server --disable-mom
 	cd debian/build/without-x && /tmp/torque-src/configure $(OPTIONS) \
 		--srcdir /tmp/torque-src \
@@ -79,7 +80,7 @@
 	if [ -x /usr/bin/dh_autotools-dev_restoreconfig ]; then \
 	  dh_autotools-dev_restoreconfig; \
 	fi
-	rm -f torque-2.4.15
+	rm -f torque-2.4.16
 
 
 install: build
@@ -196,7 +197,3 @@
 	dh_link
 	dh_strip
 	dh_compress 
-	dh_fixperms -X pbs_iff -X /var/spool/torque/spool -X /var/spool/torque/undelivered
-	dh_makeshlibs -p libtorque2 -V
-	dh_installdeb
-	dh_perl
